### Method

# GObject BindingGroup bind_with_closures

since: 2.72

#### Declaration [src]

    void
    g_binding_group_bind_with_closures (
      GBindingGroup* self,
      const gchar* source_property,
      GObject* target,
      const gchar* target_property,
      GBindingFlags flags,
      GClosure* transform_to,
      GClosure* transform_from
    )

#### Description [src]

Creates a binding between `source_property` on the source object and `target_property` on `target`, allowing you to set the transformation functions to be used by the binding. The binding flag `G_BINDING_SYNC_CREATE` is automatically specified.

This function is the language bindings friendly version of g_binding_group_bind_property_full(), using `GClosures` instead of function pointers.

See `g_object_bind_property_with_closures()` for more information.

Available since: 2.72

This method is renamed to `g_binding_group_bind_full()` in language bindings.

#### Parameters

`source_property`

  Type: `const gchar*`

  The property on the source to bind.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`target`

  Type: `GObject`

  The target `GObject`.

  The data is owned by the caller of the method.

`target_property`

  Type: `const gchar*`

  The property on `target` to bind.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`flags`

  Type: `GBindingFlags`

  The flags used to create the `GBinding`.

`transform_to`

  Type: `GClosure`

  A `GClosure` wrapping the transformation function from the source object to the `target`, or `NULL` to use the default.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`transform_from`

  Type: `GClosure`

  A `GClosure` wrapping the transformation function from the `target` to the source object, or `NULL` to use the default.

  The argument can be `NULL`.
  The data is owned by the caller of the method.